CFD Online Discussion Forums

CFD Online Discussion Forums (
-   OpenFOAM Installation (
-   -   wmake error (

Raymond.Leoi March 27, 2013 10:01

wmake error
Just installed OF 2.2.0 to my cluster. When I test to compile icoFOAM, errors occurred as the following. How to fix it?

/opt/openfoam220/wmake/wmake: 222: /opt/openfoam220/wmake/wmake: make: not found
/opt/openfoam220/wmake/wmake: 223: /opt/openfoam220/wmake/wmake: make: not found
wmake error: file 'Make/linux64GccDPOpt/objectFiles' could not be created in /opt/openfoam220/applications/solvers/incompressible/icoFoam

wyldckat March 27, 2013 18:04

Greetings Raymond.Leoi,

I can only guess that you installed OpenFOAM 2.2.0 by following these instructions:
Those only provide information on how to install OpenFOAM, in order to use the existing binaries.

For building OpenFOAM source code, you'll need to also install the packages for compiling and building, such as make and gcc. For those, you can follow the specific section "System Requirements" from this page: - more specifically the instructions for installing the necessary required packages for Ubuntu.

Best regards,

All times are GMT -4. The time now is 17:26.